Package org.opensaml.soap.wssecurity

# Interface Password

All Superinterfaces:
  `AttributedString`, `AttributeExtensibleXMLObject`, `IdBearing`, `WSSecurityObject`, `XMLObject`, `XSString`

All Known Implementing Classes:
  `PasswordImpl`

public interface Password extends AttributedString
The `Password` element.

See Also:
  - "WS-Security UsernameToken Profile 1.1"

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`ELEMENT_NAME`
Qualified element name.
`static final String`
`TYPE_ATTRIB_NAME`
The `Type` attribute local name.
`static final String`
`TYPE_PASSWORD_DIGEST`
The `wsse:Password/@Type` attribute URI value `#PasswordDigest`.
`static final String`
`TYPE_PASSWORD_TEXT`
The `wsse:Password/@Type` attribute URI value `#PasswordText` (DEFAULT).

### Fields inherited from interface org.opensaml.soap.wssecurity.AttributedString

`TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.soap.wssecurity.IdBearing

`WSU_ID_ATTR_LOCAL_NAME, WSU_ID_ATTR_NAME`

## Method Summary

Modifier and Type
Method
Description
`String`
`getType()`
Returns the `wsse:Password/@Type` attribute URI value.
`void`
`setType(String type)`
Sets the `wsse:Password/@Type` attribute URI value.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.soap.wssecurity.IdBearing

`getWSUId, setWSUId`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSString

`getValue, setValue`

## Field Details

### ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### ELEMENT_NAME

@Nonnull static final QName ELEMENT_NAME
Qualified element name.

### TYPE_ATTRIB_NAME

@Nonnull @NotEmpty static final String TYPE_ATTRIB_NAME
The `Type` attribute local name.

See Also:
  - Constant Field Values

### TYPE_PASSWORD_TEXT

@Nonnull @NotEmpty static final String TYPE_PASSWORD_TEXT
The `wsse:Password/@Type` attribute URI value `#PasswordText` (DEFAULT).

See Also:
  - Constant Field Values

### TYPE_PASSWORD_DIGEST

@Nonnull @NotEmpty static final String TYPE_PASSWORD_DIGEST
The `wsse:Password/@Type` attribute URI value `#PasswordDigest`.

See Also:
  - Constant Field Values

## Method Details

### getType

@Nullable String getType()
Returns the `wsse:Password/@Type` attribute URI value.

Returns:
  the `Type` attribute URI value.

### setType

void setType(@Nullable String type)
Sets the `wsse:Password/@Type` attribute URI value.

Parameters:
  `type` - the `Type` attribute URI value to set.